List Workspaces
curl --request GET \
--url https://api.example.com/v1/workspacesimport requests
url = "https://api.example.com/v1/workspaces"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workspace
List Workspaces
Returns all workspaces in your company.
GET
/
v1
/
workspaces
List Workspaces
List Workspaces
Returns all workspaces for your company. A synthetic default workspace withid=null is included first, so you can map all UUIDs even if your company does not formally use workspaces.
Request
GET /v1/workspaces
Example
curl -X GET \
"https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/workspaces" \
-H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
const response = await fetch(
"https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/workspaces",
{
headers: {
"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
}
}
);
const { data, meta } = await response.json();
Response
{
"data": [
{
"id": null,
"name": "Default workspace",
"created_at": null,
"updated_at": null
},
{
"id": "w1a2b3c4-...",
"name": "France Team",
"created_at": "2026-06-13T08:09:13.000Z",
"updated_at": "2026-06-13T08:09:13.000Z"
}
],
"meta": {
"total": 2
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | uuid | null | Workspace unique identifier (null for the default workspace) |
name | string | Workspace name |
created_at | datetime | null | Creation timestamp (null for the default workspace) |
updated_at | datetime | null | Last update timestamp (null for the default workspace) |
The default workspace (
id: null) represents leads, campaigns, and call logs that were created before workspaces were introduced or that are not assigned to a specific workspace. Use this endpoint to map workspace_id values returned in other API responses to human-readable names..png?fit=max&auto=format&n=PYj-p9lRwfHX4QQS&q=85&s=967f00940a17d1d8cc11bd8995dc98d0)
.png?fit=max&auto=format&n=PYj-p9lRwfHX4QQS&q=85&s=5072033d90dfd5e7cc9349712ea4e145)